/* @media (max-width: 600px) {
  .hero {
    border: 50px dotted green;
    background-color: blue;
  }
}
@media (max-width: 1200px) {
  .hero {
    background-color: red;
  }
} */

/* 
rem and em do not depend on html font size in media queries 
1rem = 1em = 16px
rem have some issue in some of browser so we use em 
*/

/* 
  BELOW 84*16 = 1344px
  (smaller desktop : 1345px)
*/
@media (max-width: 84em) {
  .hero {
    max-width: 120rem;
  }

  .heading-primary {
    font-size: 4.4rem;
  }

  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* 
  BELOW 1200/16 = 75em
  (landscape ablets: 1200px)
*/
@media (max-width: 75em) {
  html {
    /* 9px/16px = 56.25% */
    font-size: 56.25%;
  }

  .header {
    padding: 0 3.2rem;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .hero {
    gap: 4.8rem;
  }

  .grid {
    column-gap: 4.8rem;
    row-gap: 6.4rem;
  }

  .heading-secondary {
    font-size: 3.6rem;
  }

  .heading-tertiary {
    font-size: 2.4rem;
  }

  .testimonials-container {
    padding: 9.6rem 3.2rem;
  }
}

/* 
  BELOW 940/16 = 59em
  (tablets: 940px)
*/
@media (max-width: 59em) {
  html {
    /* 8px/16px = 50.00% */
    font-size: 50%;
  }

  .hero {
    grid-template-columns: 1fr;
    padding: 8rem;
    gap: 6.4rem;
  }

  .hero-img {
    width: 60%;
  }

  .hero-text-box {
    text-align: center;
  }

  .hero-img-box {
    text-align: center;
  }

  .delivered-meals {
    justify-content: center;
    margin-top: 3.2rem;
  }

  .logos img {
    height: 2.4rem;
  }

  .step-number {
    font-size: 7.4rem;
  }

  .meal-content {
    padding: 2.4rem 3.2rem 3.2rem 3.2rem;
  }

  .section-testimonials {
    grid-template-columns: 1fr;
  }

  .gallery {
    grid-template-columns: repeat(6, 1fr);
  }

  .cta {
    grid-template-columns: 3fr 2fr;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .btn--form {
    margin-top: 1.4rem;
  }

  /* MOBILE NAVIGATION */
  .btn-mobile-nav {
    display: block;
    z-index: 999;
  }

  .main-nav {
    background-color: rgba(255, 255, 255, 0.5);
    /* blur not working in safari  */
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;

    /* ANIMATION FOR MENU */
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* HIDE NAVIGATION */
    /* ALLOWS NO TRANSITION AT ALL */
    /* display: none; */

    /* HIDE IT VISUALLY */
    opacity: 0;
    /* MAKE IT UNACCESSIBLE TO MOUSE AND KEYBOARD */
    pointer-events: none;
    /* HIDE IT FROM SCREEN READERS */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0%);
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 3rem;
  }
}

/* 
  BELOW 700/16 = 44em
  (smaller tablets: 700px)
*/
@media (max-width: 44em) {
  html {
    /* 7px/16px = 42% */
    font-size: 42%;
  }

  .grid--3-cols,
  .grid--4-cols {
    grid-template-columns: repeat(2, 1fr);
  }

  .diets {
    grid-column: 1/-1;
    justify-self: center;
  }

  .heading-secondary {
    margin-bottom: 4.8rem;
  }

  .pricing-plan {
    width: 100%;
  }

  .grid-footer {
    grid-template-columns: repeat(6, 1fr);
  }

  .logo-col,
  .address-col {
    grid-column: span 3;
  }

  .nav-col {
    grid-row: 1;
    grid-column: span 2;
    margin-bottom: 3.2rem;
  }
}

/* 
  BELOW 550/16 = 34em
  (below 550 for phones : 550px)
*/
@media (max-width: 34em) {
  .grid {
    row-gap: 4.8rem;
  }

  .grid--2-cols,
  .grid--3-cols,
  .grid--4-cols {
    grid-template-columns: repeat(1, 1fr);
  }

  .section-hero {
    padding: 2.4rem 6.4rem;
  }

  .hero {
    padding: 3.2rem;
  }

  .hero-img {
    width: 80%;
  }

  .logos img {
    height: 1.2rem;
  }

  .btn,
  .btn:link,
  .btn:visited {
    padding: 2.4rem 1.5rem;
  }

  .step-img-box:nth-child(2) {
    grid-row: 1;
  }

  .step-img-box:nth-child(6) {
    grid-row: 5;
  }

  .step-img-box {
    transform: translateY(30px);
  }

  .testimonials {
    grid-template-columns: 1fr;
  }

  .gallery {
    grid-template-columns: repeat(4, 1fr);
    gap: 1.2rem;
  }

  .cta {
    grid-template-columns: 1fr;
  }

  .cta-text-box {
    padding: 3.2rem;
  }

  .cta-img-box {
    height: 36rem;
    grid-row: 1;
  }
}
